LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 05-14-2011, 02:23 PM   #1
intz
LQ Newbie
 
Registered: Feb 2008
Posts: 9

Rep: Reputation: 0
Make old drivers to work with new kernel


Hi,

I have a deb package of em28xx empia dvb-t tuner drivers for kernel 2.6.35-28-generic i386
http://jiemeb.free.fr/pinnacle/em28xx_35-28_i386.deb

I don't have any source code to compile it for new kernel.

My question is, is it possible to make these old drivers from this deb file to work with ubuntu 11.04. (current kernel is 2.6.38-8-generic)?

Thanks.
 
Old 05-14-2011, 03:58 PM   #2
andrewthomas
Senior Member
 
Registered: May 2010
Location: Chicago Metro
Distribution: Arch, Gentoo, Slackware
Posts: 1,690

Rep: Reputation: 307Reputation: 307Reputation: 307Reputation: 307
Looks to me that it got merged

Code:
# Linux/i386 2.6.38 Kernel Configuration
CONFIG_VIDEO_EM28XX_DVB=m
 
Old 05-15-2011, 08:58 AM   #3
intz
LQ Newbie
 
Registered: Feb 2008
Posts: 9

Original Poster
Rep: Reputation: 0
These drivers aren't merged. To get it work, I downloaded drivers according to the kernel version from here.

But, there's no new drivers for new kernel (ubuntu 11.04) and I can't find any source code to compile it myself.

My USB tuner is Kworld 380UR

lsusb shows
Code:
Bus 002 Device 005: ID eb1a:e359 eMPIA Technology, Inc.
and the syslog and kern.log says:
Code:
May 15 15:43:09 indrek-laptop kernel: [ 7671.008054] usb 2-5: new high speed USB device using ehci_hcd and address 6

Last edited by intz; 05-15-2011 at 09:01 AM.
 
  


Reply

Tags
deb, drivers, dvb, em28xx, ubuntu


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to chnange old drivers to work with new kernel harindu Linux - Hardware 4 09-14-2009 10:56 AM
Drivers OV511/OV518 Instalation Problems, Make doesn't work sitmex Linux - Newbie 6 05-15-2006 01:23 PM
ATI DRIVERS WORK NOW! Kernel 2.6.11 antidelldude Fedora 51 08-25-2005 01:49 PM
How do I make a change to a current kernel? Would 'make oldconfig' work... jtp51 Slackware 11 11-02-2004 12:02 AM
Cannot make 2.6.* Kernel work! ZephyrXero Linux - Newbie 6 05-21-2004 11:35 PM


All times are GMT -5. The time now is 03:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration